%define upstream_name    DBIx-Class-Helpers
%define upstream_version 2.036000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Simplify the common case stuff for DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan) >= 6.40.0
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class) >= 0.82.600
BuildRequires: perl(DBIx::Class::Candy) >= 0.3.1
BuildRequires: perl(DBIx::Introspector) >= 0.1.2
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Lingua::EN::Inflect)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Sub::Exporter::Progressive) >= 0.1.6
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal) >= 0.6.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Roo) >= 1.3.0
BuildRequires: perl(Text::Brew)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(aliased) >= 0.340.0
BuildRequires: perl(namespace::clean) >= 0.230.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
A collection of various helper utilities for the DBIx::Class manpage stuff.
Probably only useful for components.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 29 2020 tv <tv> 2.36.0-1.mga8
+ Revision: 1562031
- update to 2.036000

* Sat Feb 22 2020 shlomif <shlomif> 2.35.0-1.mga8
+ Revision: 1549293
- update to 2.035000

* Tue Feb 18 2020 umeabot <umeabot> 2.34.2-2.mga8
+ Revision: 1541839
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 tv <tv> 2.34.2-1.mga8
+ Revision: 1475577
- update to 2.034002

* Sun Nov 03 2019 tv <tv> 2.34.1-1.mga8
+ Revision: 1457432
- update to 2.034001

* Mon Aug 05 2019 tv <tv> 2.34.0-1.mga8
+ Revision: 1427487
- update to 2.034000

* Thu Sep 20 2018 umeabot <umeabot> 2.33.4-2.mga7
+ Revision: 1282603
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 shlomif <shlomif> 2.33.4-1.mga7
+ Revision: 1197634
- update to 2.033004

* Mon Oct 02 2017 tv <tv> 2.33.3-2.mga7
+ Revision: 1163963
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 2.33.3-1.mga7
+ Revision: 1141554
- update to 2.033003

* Sun Jun 19 2016 pterjan <pterjan> 2.32.1-2.mga6
+ Revision: 1025460
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 2.32.1-1.mga6
+ Revision: 1007479
- update to 2.032001

* Fri Feb 19 2016 umeabot <umeabot> 2.31.0-2.mga6
+ Revision: 968918
- Mageia 6 Mass Rebuild

* Sun Jul 26 2015 sander85 <sander85> 2.31.0-1.mga6
+ Revision: 857849
- update to 2.031000

* Wed Jul 15 2015 sander85 <sander85> 2.30.2-1.mga6
+ Revision: 854345
- update to 2.030002

* Mon Jul 13 2015 sander85 <sander85> 2.30.1-1.mga6
+ Revision: 853595
- update to 2.030001

* Mon Jul 06 2015 sander85 <sander85> 2.30.0-1.mga6
+ Revision: 851982
- update to 2.030000

* Wed Oct 15 2014 umeabot <umeabot> 2.23.6-3.mga5
+ Revision: 748216
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.23.6-2.mga5
+ Revision: 684116
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 2.23.6-1.mga5
+ Revision: 671902
- update to 2.023006

* Mon Aug 11 2014 sander85 <sander85> 2.23.5-1.mga5
+ Revision: 661727
- update to 2.023005

* Sun Aug 03 2014 sander85 <sander85> 2.23.4-1.mga5
+ Revision: 659368
- update to 2.023004

* Tue Jul 22 2014 sander85 <sander85> 2.23.3-1.mga5
+ Revision: 655475
- update to 2.023003

* Sun Jun 15 2014 sander85 <sander85> 2.23.1-1.mga5
+ Revision: 636566
- update to 2.023001

* Tue May 27 2014 sander85 <sander85> 2.23.0-1.mga5
+ Revision: 626967
- update to 2.023000

* Mon May 19 2014 sander85 <sander85> 2.22.0-1.mga5
+ Revision: 623815
- update to 2.022000

* Mon Feb 17 2014 jquelin <jquelin> 2.19.4-1.mga5
+ Revision: 593424
- update to 2.019004

* Thu Feb 13 2014 jquelin <jquelin> 2.19.3-1.mga5
+ Revision: 590654
- update to 2.019003

* Mon Oct 21 2013 umeabot <umeabot> 2.18.4-2.mga4
+ Revision: 539932
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 sander85 <sander85> 2.18.4-1.mga4
+ Revision: 493106
- update to 2.018004

* Fri Sep 27 2013 sander85 <sander85> 2.18.3-1.mga4
+ Revision: 487766
- update to 2.018003

* Wed Jul 31 2013 sander85 <sander85> 2.18.2-1.mga4
+ Revision: 461502
- update to 2.018002

* Wed Jun 26 2013 jquelin <jquelin> 2.18.0-1.mga4
+ Revision: 446888
- update to 2.018000

* Fri Jun 07 2013 jquelin <jquelin> 2.17.0-1.mga4
+ Revision: 438952
- update to 2.017000

* Sun Jan 13 2013 umeabot <umeabot> 2.16.3-2.mga3
+ Revision: 365120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.16.3-1.mga3
+ Revision: 342003
- update to 2.016003

* Tue Nov 06 2012 jquelin <jquelin> 2.16.1-1.mga3
+ Revision: 314975
- update to 2.016001

* Mon Sep 17 2012 jquelin <jquelin> 2.15.1-1.mga3
+ Revision: 294946
- update to 2.015001

* Mon Sep 10 2012 jquelin <jquelin> 2.15.0-1.mga3
+ Revision: 291637
- update to 2.015000

* Thu Jul 12 2012 jquelin <jquelin> 2.14.2-1.mga3
+ Revision: 270268
- update to 2.014002

* Wed Jul 04 2012 jquelin <jquelin> 2.14.1-1.mga3
+ Revision: 267286
- update to 2.014001

* Mon Jun 18 2012 kharec <kharec> 2.13.2-1.mga3
+ Revision: 261531
- update to 2.013002

* Sat Jun 09 2012 jquelin <jquelin> 2.13.0-1.mga3
+ Revision: 258813
- update to 2.013000

* Tue Jun 05 2012 jquelin <jquelin> 2.11.0-1.mga3
+ Revision: 254754
- update to 2.011000

* Tue Mar 06 2012 jquelin <jquelin> 2.7.3-1.mga2
+ Revision: 220123
- update to 2.007003

* Wed Jan 25 2012 jquelin <jquelin> 2.7.2-1.mga2
+ Revision: 200848
- update to 2.007002
- update to 2.007001

* Wed Mar 16 2011 jquelin <jquelin> 2.7.0-1.mga1
+ Revision: 72344
- update to 2.007000

* Tue Feb 01 2011 jquelin <jquelin> 2.6.0-1.mga1
+ Revision: 45696
- update to 2.006000
- mageia rebuild
- imported package perl-DBIx-Class-Helpers

